LArSoft - Bug #20108

Platform-dependent exception
06/07/2018 04:55 AM - Nick Grant

Status: Closed Start date: 06/07/2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Other Estimated time: 0.00 hour
Target version: x_future_release Spent time: 0.00 hour
Occurs In: v06_78_00 Co-Assignees:

Experiment: DUNE

Description

We are getting an exception when running LArSoft v06_78_00 at the University of Warwick. A colleague has run the identical code at

Fermilab; it runs fine and does not produce the exception. We set up LArSoft in the usual way

source /cvmfs/dune.opensciencegrid.org/products/dune/setup_dune.sh
source /data/t2k/phsxvg/DUNE_v06_78_00/localProducts_larsoft_v06_78_00_e15_prof/setup
setup -q e15:prof dunetpc v06_78_00

then run larana/Particleldentification/scripts/runPID_noMVA.fcl, which runs larana/Particleldentification/MVAPID_module.cc. The
input file is one from MCC10 for ProtoDUNE single-phase. It runs correctly for a few events and then gives the exception. Here is

one example of it

$MSG-s ArtException: PostEndJob 07-Jun-2018 09:47:17 BST ModuleEndJob
cet::exception caught in art
———— OtherArt BEGIN
std::bad_alloc———-- OtherArt BEGIN
std::bad_alloc
———— OtherArt END
—-——— OtherArt BEGIN
———— FatalRootError BEGIN
Fatal Root Error: @SUB=TTree::SetEntries
Tree branches have different numbers of entries, eg recob::Hitrecob
s_pmtrack__Reco. has 0 entries while EventAuxiliary has 1 entries.
—-——— FatalRootError END
———— OtherArt END
———— OtherArt END
$MSG
$MSG-s ArtException: PostEndJob 07-Jun-2018 09:47:17 BST ModuleEndJob
cet::exception caught in art
—-——— OtherArt BEGIN
std::bad_alloc———-- OtherArt BEGIN
std::bad_alloc
———— OtherArt END
—-——— OtherArt BEGIN
—-——— FatalRootError BEGIN
Fatal Root Error: @SUB=TTree::SetEntries
Tree branches have different numbers of entries, eg recob::Hitrecob
s_pmtrack__Reco. has 0 entries while EventAuxiliary has 1 entries.
—-——— FatalRootError END
———— OtherArt END
———— OtherArt END
SMSG

: :SpacePointvoidart

::SpacePointvoidart

but it does vary from one event to another. A colleague here at Warwick has also seen a similar exception when running
protoDUNE_reco.fcl in LArSoft vO6_78_00 over a detsim file, though he does not see std::bad_alloc.

We had a problem 2 years ago which was reported in

https://cdcvs.fnal.gov/redmine/issues/13719
https://cdcvs.fnal.gov/redmine/issues/13719

This was eventually tracked down to an outdated version of glibc at Warwick, and was resolved by updating it. We are wondering
whether there is a similar cause now.

The output of Isb_release -a is

LSB Version:
‘base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing-4.0-amd64:prin
ting-4.0-noarch

Distributor ID:  RedHatEnterpriseServer

Description: Red Hat Enterprise Linux Server release 6.6 (Santiago)

Release: 6.6

Codename: Santiago

We ran it with strace and the log file is attached. If anyone has any suggestions about this, please let us know. Thanks.

History

#1 - 06/11/2018 10:33 AM - Kyle Knoepfel
- Description updated

#2 - 06/11/2018 10:37 AM - Kyle Knoepfel
- Status changed from New to Accepted
We can attempt to reproduce this on our own machines. However, we have a few questions.

e What does $PRODUCTS say?
* Please give us the output of ups active after you do the setup command.

We recommend you use more strict UPS setup flags:

setup -B —-gq +el5:+prof dunetpc v06_78_00

#3 - 06/11/2018 11:27 AM - Nick Grant

Thanks very much for your reply. Using the setup as in the original post (not the more strict one), the output of SPRODUCTS is

/data/t2k/phsxvg/DUNE_v06_78_00/localProducts_larsoft_v06_78_00_e15_prof:/cvmfs/dune.opensciencegrid.org/products/dune:/cvmfs/larsoft.opens
ciencegrid.org/products:/cvmfs/fermilab.opensciencegrid.org/products/larsoft:/cvmfs/fermilab.opensciencegrid.org/products/common/db

and the output of ups_active is

Active ups products:

art v2_10_03 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
artdag_core v3_01_06 -f Linux64bit+2.6-2.12 -q e15:prof:s65 -z /cvmfs/larsoft.opensciencegrid.org/products
awscli vi_7_15 -f Linux64bit+2.6-2.12 -z /cvmfs/fermilab.opensciencegrid.org/products/common/db
boost v1_66_0 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products

caffe v1_0Oh -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products

canvas v3_02_02 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
canvas_root_io v1_01_02 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
cetlib v3_02_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
cetlib_except v1_01_06 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
cetpkgsupport  vi_14_ 01 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

cigetcert vi_16_1 -f Linux64bit+2.6-2.12 -z /evmfs/fermilab.opensciencegrid.org/products/common/db
cigetcertlibs  v1_1 -f Linux64bit+2.6-2.12 -z /cvmfs/fermilab.opensciencegrid.org/products/common/db
clhep v2_3 4 5¢ -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products

cpn v1.7 -f NULL -z Jevmfs/fermilab.opensciencegrid.org/products/common/db

cppunit vi_13_2b -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products

cry vi_7j -f Linux64bit+2.6-2.12 -q e15:prof -z Jevmfs/larsoft.opensciencegrid.org/products

dk2nudata v01_06_01a  -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
dk2nugenie v01_06_01d  -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products

dune_pardata  v01_30_00 -f NULL -z /cvmfs/dune.opensciencegrid.org/products/dune
dunepdsprce v0_0_4a -f Linux64bit+2.6-2.12 -q e15:gen:prof -z /cvmfs/dune.opensciencegrid.org/products/dune
dune_raw_data vi1_17_06 -f Linux64bit+2.6-2.12 -q e15:nu:prof:s65 -z /cvmfs/dune.opensciencegrid.org/products/dune
dunetpc v06_78_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/dune.opensciencegrid.org/products/dune
duneutil v06_78_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /cevmfs/dune.opensciencegrid.org/products/dune
eigen v3 3 3 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

fftw v3_3 6 pl2  -fLinux64bit+2.6-2.12 -q prof -z /cvmfs/larsoft.opensciencegrid.org/products

fhiclcpp v4_06_05 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products

g4abla v3 0 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

g4emlow v6_50 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

g4neutron v4_5 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products
g4neutronxs vi_4 -f NULL -z Jevmfs/larsoft.opensciencegrid.org/products

g4nucleonxs vi_1 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

g4nuclide v2_1 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

g4photon v4d 3 2 -f NULL -z Jevmfs/larsoft.opensciencegrid.org/products

g4pii vi_3 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

g4radiative v5_1_1 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

g4surface vi_0 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

g4tend! vi_3 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

gallery vi_07_02 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
gce v6_4 0 -f Linux64bit+2.6-2.12 -z /cvmfs/larsoft.opensciencegrid.org/products

geant4 v4_10_3_p03b -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
genie v2_12_10a -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
genie_phyopt v2_12_10 -f NULL -q dkcharmtau -z /cvmfs/larsoft.opensciencegrid.org/products
genie_xsec v2_12_10 -f NULL -q DefaultPlusMECWIithNC -z /cvmfs/larsoft.opensciencegrid.org/products
oflags v2_2 1 -f Linux64bit+2.6-2.12 -qel15 -z /cvmfs/larsoft.opensciencegrid.org/products
gitflow vi_11_0 -f NULL -z Jevmfs/larsoft.opensciencegrid.org/products

git v2_15_1 -f Linux64bit+2.6-2.12 -z /evmfs/larsoft.opensciencegrid.org/products

glog v0_3_5 -f Linux64bit+2.6-2.12 -q e15 -z /cvmfs/larsoft.opensciencegrid.org/products

gsl v2_4 -f Linux64bit+2.6-2.12 -q prof -z /evmfs/larsoft.opensciencegrid.org/products

hdf5 vi_10_1c -f Linux64bit+2.6-2.12 -q e15 -z /evmfs/larsoft.opensciencegrid.org/products
ifoeam v2 2 2 -f Linux64bit+2.6-2.12 -q e15:p2714b:prof -z /cvmfs/larsoft.opensciencegrid.org/products
ifdh_art v2_05_05 -f Linux64bit+2.6-2.12 -q e15:prof:s65 -z /cvmfs/larsoft.opensciencegrid.org/products
ifdhc_config v2_3 83 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

ifdhc 232 -f Linux64bit+2.6-2.12 -q e15:p2714b:prof -z /cvmfs/larsoft.opensciencegrid.org/products
jobsub_client vi_2 6 2 -f NULL -z /cvmfs/fermilab.opensciencegrid.org/products/common/db
jsoncpp vl_7_7b -f Linux64bit+2.6-2.12 -q e15:prof -z Jevmfs/larsoft.opensciencegrid.org/products
jsonnet v0_9 3b -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
lapack v3 7 1 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
larana v06_19_07 -f Linux64bit+2.6-2.12 -q e15:prof -z
/data/t2k/phsxvg/DUNE_v06_78_00/localProducts_larsoft_v06_78_00_e15_prof

larbatch v01_40_00 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

larcorealg vi_21_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
larcore v06_19_03 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products

larcoreobj v1_23_00 -f Linux64bit+2.6-2.12 -q e15:prof -z Jevmfs/larsoft.opensciencegrid.org/products
lardataalg v1_00_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
lardata v06_45_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
lardataobj vi_32_02 -f Linux64bit+2.6-2.12 -q e15:prof -z Jevmfs/larsoft.opensciencegrid.org/products
lareventdisplay v06_19_07 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
larevt v06_20_06 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
larexamples v06_13_06 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
larpandoracontent v03_12_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
larpandora v06_27_01 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products

larreco v06_60_04 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
larsim v06_48 00 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
larsoft_data  v1_02_01 -f NULL -z /cvmfs/larsoft.opensciencegrid.org/products

larsoft v06_78_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products

larsoftobj vi_45_00 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
larwirecell v06_13_01 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
lbne_raw_data vi1_04_24 -f Linux64bit+2.6-2.12 -q e15:nu:prof:s65 -z /cvmfs/dune.opensciencegrid.org/products/dune

leveldb vi_20a -f Linux64bit+2.6-2.12 -q e15 -z Jevmfs/larsoft.opensciencegrid.org/products
Ihapdf v5_9 1k -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
libwda v2 24 0 -f Linux64bit+2.6-2.12 -z /cvmfs/larsoft.opensciencegrid.org/products

libxmlI2 v2. 9 5 -f Linux64bit+2.6-2.12 -q prof -z /cvmfs/larsoft.opensciencegrid.org/products

Imdb v0_9_21 -f Linux64bit+2.6-2.12 -z /cvmfs/larsoft.opensciencegrid.org/products

log4cpp vli_1_3a -f Linux64bit+2.6-2.12 -q e15:prof -z Jevmfs/larsoft.opensciencegrid.org/products
marley vi_0_0d -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
messagefacility v2_01_06 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
mrb vi_16_00 -f NULL -z Jevmfs/larsoft.opensciencegrid.org/products

mysql_client v5_5 58 -f Linux64bit+2.6-2.12 -q e15 -z /cvmfs/larsoft.opensciencegrid.org/products
nucondb v2 2 2 -f Linux64bit+2.6-2.12 -q e15:p2714b:prof -z /cvmfs/larsoft.opensciencegrid.org/products
nusimdata vi_12_02 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
nutools v2_21_04 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
opencv v3_3_0c -f Linux64bit+2.6-2.12 -q e15 -z /cvmfs/larsoft.opensciencegrid.org/products
pandora v03_07_00c  -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
pdfsets v5_ 9 1b -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

postgresq| v9_6_6a -f Linux64bit+2.6-2.12 -q p2714b -z /cvmfs/larsoft.opensciencegrid.org/products
protobuf v3 3 1a -f Linux64bit+2.6-2.12 -q e15 -z /cvmfs/larsoft.opensciencegrid.org/products
pycurl v7_16_4 -f Linux64bit+2.6-2.12 -z Jevmfs/fermilab.opensciencegrid.org/products/common/db
pythia v6_4_28j -f Linux64bit+2.6-2.12 -q gcc640:prof -z /cvmfs/larsoft.opensciencegrid.org/products
python v2_7 14b -f Linux64bit+2.6-2.12 -z /cvmfs/larsoft.opensciencegrid.org/products

range v3 030 -f NULL -z /evmfs/larsoft.opensciencegrid.org/products

root v6_12_04e -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
sam_web_client v2_0 -f NULL -z /cvmfs/fermilab.opensciencegrid.org/products/common/db
setpath vi_11 -f NULL -z /evmfs/fermilab.opensciencegrid.org/products/common/db
shappy vi_1_7a -f Linux64bit+2.6-2.12 -q e15 -z /cvmfs/larsoft.opensciencegrid.org/products
sqlite v3 20_01_00 -f Linux64bit+2.6-2.12 -z Jevmfs/larsoft.opensciencegrid.org/products

tbb v2018_2 -f Linux64bit+2.6-2.12 -q e15:prof -z /evmfs/larsoft.opensciencegrid.org/products
tensorflow vi_3_0c -f Linux64bit+2.6-2.12 -q e15:p2714b:prof -z /cvmfs/larsoft.opensciencegrid.org/products
TRACE v3_13_04 -f Linux64bit+2.6-2.12 -z /cvmfs/larsoft.opensciencegrid.org/products

ups v6_0_7 -f Linux64bit+2.6-2.12 -z /evmfs/larsoft.opensciencegrid.org/products

wirecell v0_7_0 -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
Xerces_c v3 2 0a -f Linux64bit+2.6-2.12 -q e15:prof -z /cvmfs/larsoft.opensciencegrid.org/products
xrootd v4_8 0a -f Linux64bit+2.6-2.12 -q e15:prof -z Jevmfs/larsoft.opensciencegrid.org/products

We tried running using the stricter setup but still got the same exception.

#4 - 06/11/2018 11:50 AM - Lynn Garren

Since you have a local build of larana, you probably also need a local build of dunetpc.

#5 - 06/12/2018 04:17 AM - Nick Grant

Thanks very much for the suggestion. We tried a new build with local copies of both larana and dunetpc, and set it up using the stricter setup as
suggested. However we still got the same exception.

#6 - 06/18/2018 10:38 AM - Kyle Knoepfel
- Status changed from Accepted to Feedback

Do you see this problem when using the CVMFS-distributed version of larana and dunetpc?

#7 - 06/19/2018 03:10 AM - Nick Grant
We still see exactly the same exception when using the cvmfs-distributed versions of larana and dunetpc.
In the meantime, we have found that it's possible to run the code without any exception by sending the job to the Warwick batch system and

increasing the memory allocation for myself (I get std::bad_alloc with the exception). However my colleague at Warwick tried the same thing and he
still got the exception (he does not get std::bad_alloc).

#8 - 07/17/2018 10:01 AM - Kyle Knoepfel

Nick, my apologies for not following up with you. What is the current status of this issue? Is it still a problem for you that needs some analysis, or
have you found a way forward.

#9 - 07/18/2018 07:47 AM - Nick Grant

Hi Kyle, The problem is still unresolved and it is still an issue for my colleague. For myself | have found a workaround by submitting everything to the
Warwick batch system and requesting extra memory with -M. This does not work for my colleague (I always get std::bad_alloc with the exception but
my colleague doesn't get it).

#10 - 07/24/2018 10:58 AM - Kyle Knoepfel

Nick, /data/t2k is not mounted on the dunegpvms. Can you put the input file in a location that | can access? If it's not too large, it can be attached to
this issue.

#11 - 07/24/2018 11:54 AM - Nick Grant

Kyle, The input files were made at Fermilab and | copied them to Warwick. They are at
/pnfs/dune/scratch/users/sgreen/v06_77_00_UpdatedReconstruction_4GeV_Beam_Cosmics_SpaceCharge_v2/updatedreco/

#12 - 07/24/2018 02:11 PM - Kyle Knoepfel

Thanks. | confirm that | have access to the file, and | am able to process it. Stay tuned.

#13 - 07/24/2018 03:12 PM - Kyle Knoepfel

With the configurations | have available, I'm getting the following error:

———— EventProcessorFailure BEGIN
EventProcessor: an exception occurred during current event processing
—-——— Geometry BEGIN
cannot find the gdml geometry file:
protodune_nowires.gdml
bail ungracefully.
———— Geometry END
———— EventProcessorFailure END

These are the directories on FW_SEARCH_PATH:

[knoepfel@woof dune-bad-alloc]$ echo $FW_SEARCH_PATH | tr : \\n
org/products/dune/dune_pardata/v01_30_00/FieldResponse
org/products/dune/dunetpc/v06_78_00/gdml
org/products/dune/dunetpc/v06_78_00/scripts
org/products/dune/dunetpc/v06_78_00/gdml
org/products/dune/dunetpc/v06_78_00/config_data
org/products/dune/dune_raw_data/v1_17_06/files
org/products/dune/dune_pardata/v01_30_00/SpaceCharge35t
org/products/dune/dune_pardata/v01_30_00/PhotonPropagation/LibraryData
org/products/dune/dune_pardata/v01_30_00/PhotonPropagation
org/products/dune/dune_pardata/v01_30_00/0OnlineChannelMaps35t
org/products/dune/dune_pardata/v01_30_00/GenieFluxFiles
org/products/dune/dune_pardata/v01_30_00/FieldResponse
org/products/dune/dune_pardata/v01_30_00/ADCStuckCodeProbabilities35t
org/products/dune/dune_pardata/v01_30_00/FieldResponse
org/products/dune/dune_pardata/v01_30_00
org/products/dune/lbne_raw_data/v1_04_24/files

org/products/larpandora/v06_27_01/scripts
org/products/larana/v06_19_07/config_data
org/products/larsim/v06_48_00/G4
org/products/larsoft_data/v1_02_01
org/products/larsoft_data/v1_02_01/SupernovaNeutrinos
org/products/larsoft_data/v1_02_01/pdf/MUSUN
org/products/larsoft_data/v1_02_01/pdf/Gaisser
org/products/larsoft_data/v1_02_01/PhotonPropagation/LibraryData
org/products/larsoft_data/v1_02_01/ParticleIdentification
org/products/larsoft_data/v1_02_01/Genfit
org/products/larsoft_data/v1_02_01/Argoneut
org/products/larsoft_data/v1_02_01/uboone

org/products/marley/v1_0_0d/Linux64bit+3.10-2.17-el5-prof/share/marley/react
org/products/larcore/v06_19_03/gdml

org/products/larcore/v06_19_03/gdml

org/products/larcorealg/v1_21_00/gdml

org/products/larcoreobj/v1_23_00/gdml

Is there an additional path that should be added to FW_SEARCH_PATH that I'm not aware of?

#14 - 08/06/2018 10:46 AM - Kyle Knoepfel

Is there any update here? As | mentioned in the previous note (issue #20108-13), | am not able to reproduce due to an incorrect configuration.
Please provide me with a correct configuration so that | diagnose the problem.

#15 - 08/20/2018 08:58 AM - Nick Grant

Kyle, Apologies for the delay in replying, I've been away on vacation.

The exception "cannot find the gdml geometry file: protodune_nowires.gdml" is caused by running over ProtoDUNE simulated data with the .fcl file
configured for the far detector. Sorry | should have advised you to change the configuration.

While | was away, my colleague moved to v06_84_00 and tells me he no longer gets the exception with that version. | still get it in that version when
running interactively, but can run fine on the Warwick batch system by requesting more memory with -M (I get std::bad_alloc). In view of this, | don't
think it's worth pursuing this issue any further.

Thanks very much for your help in this.

#16 - 08/20/2018 10:34 AM - Kyle Knoepfel
- Status changed from Feedback to Closed

Okay, very good. Closing per author request.
